extends Node

var monsters = {
  "spider": { 
    "id": "spider", 
    "battler_data": { 
      "name": "spider", 
      "sprite": "spider",
      "max_ap": 3,
      "max_mp": 4,
      "max_hp": 15,
#      "max_hp": 1,
      "initiative": -4,
      "skills": ["default"]
    },
    "boosts_per_lvl": {},
    "loot": {
      "spider_fang": 0.15,
      "spider_leg": 1.25,
      "spider_venom": 0.25,
      "cobweb": 2.3,
     },
    "exp": 10,
    "behavior": "agro",
  },
  "wasp": { 
    "id": "wasp", 
    "battler_data": { 
      "name": "wasp", 
      "sprite": "wasp",
      "max_ap": 3,
      "max_mp": 3,
      "max_hp": 19,
#      "max_hp": 1,
      "initiative": 4,
      "skills": ["toxic_stinger"],
    },
    "boosts_per_lvl": {},
    "loot": {
      "wasp_stinger": 0.15,
      "wasp_chitin": 0.3,
      "wasp_venom": 0.25,
      "wasp_wing": 0.25,
     },
    "exp": 18,
    "behavior": "agro",    
  },
  "wolf": { 
    "id": "wolf", 
    "battler_data": { 
      "name": "wolf", 
      "sprite": "wolf",
      "max_ap": 4,
      "max_mp": 3,
      "max_hp": 40,
      "initiative": 8,      
      "skills": ["shredding_fang", "hungry_gnaw"],
    },
    "boosts_per_lvl": {},
    "loot": {
      "wolf_fur": 1.25,
      "wolf_teeth": 2.2,
      "wolf_pelt": 0.25,
     },
    "exp": 75,
    "behavior": "agro",    
  },
  "wolf_pup": { 
    "id": "wolf_pup", 
    "battler_data": { 
      "name": "wolf_pup", 
      "sprite": "wolf_pup",
      "max_ap": 3,
      "max_mp": 3,
      "max_hp": 22,
      "initiative": 5,
      "skills": ["hungry_gnaw"],
    },
    "boosts_per_lvl": {},
    "loot": {
      "wolf_fur": 0.3,
      "wolf_teeth": 1.2,
     },
    "exp": 25,
    "behavior": "agro",    
  },
  "white_wolf": { 
    "id": "white_wolf", 
    "battler_data": { 
      "name": "white_wolf", 
      "sprite": "white_wolf",
      "max_ap": 5,
      "max_mp": 4,
      "max_hp": 110,
      "initiative": 12,
      "skills": ["alphas_howl", "shredding_fang", "hungry_gnaw"],
    },
    "boosts_per_lvl": {},
    "loot": {
      "wolf_fur": 1.35,
      "wolf_teeth": 3.25,
      "wolf_pelt": 1.3,
     },
    "exp": 300,
    "behavior": "agro",    
  },
}
